# Headlines (BETA)

`POST /api/v2/headlines`

Returns headlines consisting of news articles clustered around leading topics.

**Body**

| Name      | Type              | Description          |
| --------- | ----------------- | -------------------- |
| `api_key` | string (required) | Your Athena API key. |

**Response**

<table><thead><tr><th width="214">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>headlines</code></td><td>array</td><td>An array of dicts. Each dict contains a topic and an array of articles tied to that topic</td></tr><tr><td><code>state</code></td><td>string</td><td>Query success or fail</td></tr></tbody></table>

**Example Response**

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "state":"SUCCESS",
    "headlines": [
        {
            "topic":"Israel-Hamas ceasefire just hours away from taking effect",
            "count":109,
            "articles": [
                {
                    "category": null,
                    "datePublished": "2025-01-19 01:04:00",
                    "favicon": "https://runathena.s3.us-east-1.amazonaws.com/site_favicons/671449f8701439b7c98174dd.png",
                    "image": null,
                    "site": "cbsnews.com",
                    "title": "Israel-Hamas ceasefire just hours away from taking effect",
                    "url": "https://www.cbsnews.com/video/israel-hamas-ceasefire-just-hours-away-from-taking-effect/"
                },
                {
                    "category": null,
                    "datePublished": "2025-01-19 02:09:00",
                    "favicon": "https://runathena.s3.us-east-1.amazonaws.com/site_favicons/67144a01701439b7c9817598.png",
                    "image": "https://img.etimg.com/thumb/msid-117365431,width-1200,height-630,imgsize-136990,overlay-etdefence/articleshow.jpg",
                    "site": "indiatimes.com",
                    "title": "Gaza ceasefire and hostage release set to begin",
                    "url": "https://economictimes.indiatimes.com/news/defence/gaza-ceasefire-and-hostage-release-set-to-begin/articleshow/117365428.cms"
                },
                ...
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://athena-10.gitbook.io/athena-api/getting-started/api-reference/headlines-beta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
